#!/bin/bash
if [ $# -ne "1" ]
then
	echo "Usage: "
	echo "./genlocale <your locale>"
	echo "<your locale> could be en_US"
	exit
fi

for i in `find ../core/locale/${1}/LC_MESSAGES/ -name *.po`
do
	msgfmt -o `echo $i | sed 's/\.po/\.mo/'` $i
done
