<?php
/**  
 * OpenVCP Webinterface
 * Copyright (C) 2006 Gerrit Wyen <gerrit@t4a.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * 
 * @author  Oliver Werner / OpenVCP Team
 * @version 0.4.0.1
 * @package OpenVCP-v0.4
 */

OpenVCP::setTextdomain('super_vservers_navi');

$GUI->addContentMenuHead(_("VServer"));
$GUI->addContentMenuSub("", _("overview"));
$GUI->addContentMenuSub("add", _("add vserver"));
if(isset($vserver))
{
        require_once("vsnavi.php");
}
$GUI->addContentMenuSpace();
$GUI->addContentMenuHead(_("Template"));
$GUI->addContentMenuSub("template", _("overview"));
if($AUTH->getPrivileges('add_own_templates') == 'y')
        $GUI->addContentMenuSub("template/add", _("add template"));


OpenVCP::resetTextdomain();
?>
