<?php
/**  
 * OpenVCP Webinterface
 * Copyright (C) 2006 Gerrit Wyen <gerrit@t4a.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * 
 * @author  Oliver Werner / OpenVCP Team
 * @version 0.4.0.1
 * @package OpenVCP-v0.4
 */
 
class User {
	
	protected $userinfo = null;

	public function __construct($userinfo) {
		$this->userinfo = $userinfo;
	}
	
	public function getId()
	{
		return $this->userinfo['id'];
	}

	public function getLoginname() {
		return $this->userinfo['loginname'];
	}
	
	public function getUsername()
	{
		return $this->userinfo['loginname'];
	}
	
	public function getFullname()
	{
		return $this->userinfo['firstname']." ".$this->userinfo['lastname'];
	}
	
	public function getFirstname()
	{
		return $this->userinfo['firstname'];
	}
	
	public function getLastname()
	{
		return $this->userinfo['lastname'];
	}
	
	public function getCompany() {
		return $this->userinfo['company'];
	}
	
	public function getStreet() {
		return $this->userinfo['street'];
	}
	
	public function getPostcode() {
		return $this->userinfo['postcode'];
	}
	
	public function getCity() {
		return $this->userinfo['city'];
	}
	
	public function getPhone() {
		return $this->userinfo['phone'];
	}
	
	public function getFax() {
		return $this->userinfo['fax'];
	}
	
	public function getCountry() {
		return $this->userinfo['country'];
	}
	
	public function getEmailaddress()
	{
		return $this->userinfo['email'];
	}
	
	public function getAdminId() 
	{
		return $this->userinfo['adminid'];
	}
}
?>
